Issue2058

classification
Title: ClasspathPyImporter doesn't implement PEP 302's get_data
Type: behaviour Severity: normal
Components: Core Versions: Jython 2.7
Milestone: Jython 2.7.1
process
Status: pending Resolution: fixed
Dependencies: Superseder:
Assigned To: jeff.allen Nosy List: jeff.allen, rjolly, tavianator, zyasoft
Priority: high Keywords:

Created on 2013-06-03.18:51:31 by tavianator, last changed 2015-05-17.08:30:11 by jeff.allen.

Messages
msg8037 (view) Author: Tavian Barnes (tavianator) Date: 2013-06-03.18:51:31
With Jython 2.5.3, I can't use __loader__.get_data('file') to read data that is packaged in a JAR/WAR with my Python code, because ClasspathPyImporter doesn't implement that method.  While not a required part of the PEP, it would be convenient.
msg8130 (view) Author: Raphael Jolly (rjolly) Date: 2013-09-26.09:28:37
Fix attempted in https://bitbucket.org/jython/jython/pull-request/11/2058-classpathpyimporter-implements
msg8477 (view) Author: Jim Baker (zyasoft) Date: 2014-05-21.21:24:40
Change to 2.7; there was a similar change seen recently in 7245:ab99e96d9192
msg8683 (view) Author: Jim Baker (zyasoft) Date: 2014-06-18.19:41:37
Target beta 4
msg9105 (view) Author: Jim Baker (zyasoft) Date: 2014-10-06.03:45:35
Time to review Raphael's PR - that's been out there too long
msg10040 (view) Author: Jeff Allen (jeff.allen) Date: 2015-05-08.16:33:01
Taking this as part of #1879 see #msg100039
msg10067 (view) Author: Jeff Allen (jeff.allen) Date: 2015-05-17.08:30:10
Patch now at https://hg.python.org/jython/rev/67f36ecd9103, thank you to Raphael. msg10063 in #1879 is also relevant.
History
Date User Action Args
2015-05-17 08:30:11jeff.allensetstatus: open -> pending
resolution: remind -> fixed
messages: + msg10067
2015-05-08 16:33:01jeff.allensetassignee: jeff.allen
messages: + msg10040
nosy: + jeff.allen
2015-04-19 22:14:16zyasoftsetassignee: zyasoft -> (no value)
2015-04-15 20:45:00zyasoftsetmilestone: Jython 2.7.1
2015-01-07 07:19:46zyasoftsetpriority: normal -> high
assignee: zyasoft
2014-10-06 03:45:35zyasoftsetmessages: + msg9105
2014-06-18 19:41:37zyasoftsetpriority: normal
messages: + msg8683
2014-05-21 21:24:41zyasoftsetresolution: remind
messages: + msg8477
nosy: + zyasoft
versions: + Jython 2.7, - Jython 2.5
2013-09-26 09:28:38rjollysetnosy: + rjolly
messages: + msg8130
2013-06-03 18:51:31tavianatorcreate